atlook(1)

NAME
atlook, atlooklws, atpinger - look up appletalk devices accessible from UNIX

SYNTAX
atlook, atlooklws, atpinger [ -dn ] [ -n ] [ -s ] [ -r <n> ] [ -t [p]<n> ] [ -l <n> ] [ -k ] [ -P ] [ -S ] nbp-entity-name

DESCRIPTION
atlook, atlooklws, and atpinger allow you to look for various nbp entities on the AppleTalk internetwork. atlook and atpinger do a lookup on the wildcard nbp entity name "=:=@*" (any object, any type, my zone) by default while atlooklws (which stands for look LaserWriter status) only tries to find entities of type "LaserWriter".

atpinger also attempts to evoke a "echo reply" from the remote by sending an "echo request". (c.f. Apple Echo Protocol). atpinger actually sends a special packet that contains information that allows it to report the round trip time (in seconds). In addition, atpinger will report if the sent packet length is not the same as the returned packet length.

atlooklws tries to find the PAP status of the remote object and confirms the nbp address.

You can override the zone easily by simply specifying it. For example, atlook myzone would do a lookup on "=:=@myzone" and atlooklws myzone would look for "=:LaserWriter@myzone". To override the type or object, you should give a fully specified NBP entity name, for example, atlook =:Macintosh@myzone. Normally, the output is sorted with a primary key of "type" and a secondary key of "object".

The NBP entity object or type fields may contain 3-digit octal numbers to represent characters not in the 7-bit ascii character set. For example, \252 is the TM trademark symbol in the Macintosh Character Codes set (refer Inside AppleTalk, 2nd Edition, Appendix D). Such octal numbers start with a leading backslash which, when used on the UNIX command line, must be escaped: atlook =:UNIX\252 To lookup an NBP entity containing the backslash character itself ... atlook =:back\\slash In AppleTalk Phase 2 environments, atlook and friends can use the partial matching ability of NBP by specifying the wildcard symbol \305 in the command line. atlook mu\305:= any NBP type. Only one partial match character may be used per object or type field.

atlook, atlooklws, and atpinger accept the following arguments:

-P  says to ping the entities after lookup. The timeout for response is 5 seconds. The default length of the packet is based on an internal structure whose size is system dependent. atpinger is atlook with -P set as default.

-S  says to get the LaserWriter status after lookup. atlooklws is atlook with -S set as default.

-n  says to sort by the network numbers for output.

-s  says to sort the output by socket numbers.

-k  specifies that DDP checksums are not to be used, the field is set to zero.

-t [p]<n>
    can be used to specifiy the NBP timeout as <n> ticks (1/4 second units) on lookups. The default is 3 ticks. With 'p' preceeding the number, it specifies the ping timeout in ticks. Using -t p<n> turns on pinging.

-r <n>
    can be used to specify the number of NBP retries (default is 3).

-l <n>
    can be used to specify the ping packet length (lower bound: internal data structure, upper bound: ddpMaxData (currently 586). Using this option turns on pinging.

-d <cap debug flags>
    can be used to specify standard CAP library debugging flags. See CAP(3) for valid flags.

NOTES
atpinger figures out the round trip delay by inserting the time the packet was sent into the echo request packet.

AUTHOR
atlook, atlooklws, and atpinger were written by Charlie C. Kim of Columbia University and share a common source.

SEE ALSO
atis(8), CAP(3), CAP(8)